{
    "[python]": {
        "editor.codeActionsOnSave": {
            "source.fixAll": "explicit"
        },
        "editor.defaultFormatter": "charliermarsh.ruff"
    },
    "[json]": {
        "editor.defaultFormatter": "vscode.json-language-features"
    },
    "[jsonc]": {
        "editor.defaultFormatter": "vscode.json-language-features"
    },
    "editor.formatOnSave": true,
    "files.exclude": {
        "**/.git": true,
        "**/__pycache__": true,
        "**/.ruff_cache": true,
        "**/.mypy_cache": true
    }
}
